List all orders for an app
List all orders for the app with filtering and pagination (max 50 per page). Authenticated via service token.
GET
/api/v1/{app_id}/lookup/ordersPath parameters
app_idstringrequiredUUID of the app
Query parameters
limitintegerLimit for pagination (default: 50, max: 50)
pageintegerPage number for pagination (default: 1)
emailstringFilter by customer email (billing or shipping address)
referencestringFilter by order reference
product_skustringFilter by product SKU (product_number) in order lines
variant_skustringFilter by variant SKU (variant_number) in order lines
created_afterstringFilter orders created after this timestamp (RFC3339)
Responses
200
OK
limitintegerordersOrderResponse[] | nullShow propertiesHide properties
Array of
OrderResponseapp_idstringbilling_addressstringbonus_totalnumbercountry_codestringcreated_atstringcurrency_codestringdiscount_totalnumbergift_card_totalnumbergrand_totalnumberidstringlanguage_codestringlinesOrderLineResponse[] | nullShow propertiesHide properties
Array of
OrderLineResponsebase_price_amountnumbercreated_atstringcurrency_codestringidstringorder_idstringproductProductResponseShow propertiesHide properties
brandBrandResponseShow propertiesHide properties
idstringnamestringslugstringvariantstringcreated_atstringcustomobjectdescriptionstringhtml_descriptionstringhtml_short_descriptionstringidstringimagesImageResponse[] | nullShow propertiesHide properties
Array of
ImageResponsealt_textstringblurhashstringcustomobjectidstringimage_urlstringtitlestringproduct_namestringproduct_numberstringshort_descriptionstringslugstringstatusstringtranslations_descriptionobjecttranslations_html_descriptionobjecttranslations_html_short_descriptionobjecttranslations_product_nameobjecttranslations_short_descriptionobjecttranslations_slugobjectupdated_atstringvariantsVariantResponse[] | nullproduct_idstringquantitynumbertax_group_idstringtotal_discount_amountnumbertotal_price_amountnumbertotal_sale_pricenumbertotal_tax_amountnumberupdated_atstringvariantVariantResponseShow propertiesHide properties
created_atstringidstringimagesImageResponse[] | nullpricesVariantPriceResponse[] | nullShow propertiesHide properties
Array of
VariantPriceResponseamount_cents_with_taxintegercountry_codesstring[]created_atstringidstringmarket_idstringmarket_slugstringon_salebooleanreference_priceintegersale_end_datestringsale_price_with_taxintegersale_start_datestringstatusstringstore_groupstringstore_group_slugstringupdated_atstringvariant_idstringproduct_idstringstatusstringtranslations_nameobjectupdated_atstringvalidate_stockbooleanvariant_namestringvariant_numberstringvariant_idstringmerchant_user_idstringpayment_methodstringpayment_method_idstringpayment_method_namestringreferencestringsession_idstringshipping_addressstringshipping_methodsstring[]shipping_totalnumbersourcestringstatusstringsub_totalnumbertax_totalnumberupdated_atstringpageintegertotalintegertotal_pagesinteger400
Invalid request
detailsstring[] | nullmessagestringsuccessboolean500
Internal server error
detailsstring[] | nullmessagestringsuccessboolean